<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
Aipo is a groupware program developed by Aimluck,Inc.
Copyright (C) 2004-2008 Aimluck,Inc.
http://aipostyle.com/

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->
<project>
    <!-- the version of maven's project object model -->
    <pomVersion>3</pomVersion>
    <!-- a unique name for this project -->
    <id>aipo</id>
    <!-- a short but descriptive name for the project -->
    <name>Aipo</name>
    <!-- The version of the project under development, e.g.
         1.1, 1.2, 2.0-SNAPSHOT -->
    <currentVersion>4.0</currentVersion>
    <!-- details about the organization that 'owns' the project -->
    <organization>
        <name>Aimluck,Inc</name>
        <url>http://www.aimluck.com</url>
        <logo>http://www.aimluck.com/img/common/logo.gif</logo>
    </organization>
    <!-- the year the project started -->
    <inceptionYear>2004</inceptionYear>
    <package>com.aimluck.aipo</package>
    <logo>http://www.aimluck.com/img/common/logo.gif</logo>
    <description> Aipo Project. </description>
    <!-- a short description of what the project does -->
    <shortDescription> Aipo Project. </shortDescription>
    <!-- any mailing lists for the project -->
    <mailingLists/>
    <!-- who the developers are for the project -->
    <developers />
    <!-- jar files the project is dependent on -->
    <dependencies>
        <dependency>
            <id>activation</id>
            <version>1.1.1</version>
            <properties>
                <war.bundle.jar>true</war.bundle.jar>
            </properties>
        </dependency>
        <dependency>
            <id>ant</id>
            <version>1.5</version>
        </dependency>
        <dependency>
            <id>castor</id>
            <version>0.9.3</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-beanutils</id>
            <version>1.7.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-collections</id>
            <version>3.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-configuration</id>
            <version>1.0-dev</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-dbcp</id>
            <version>1.2.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-email</id>
            <version>1.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-fileupload</id>
            <version>1.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-httpclient</id>
            <version>1.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-lang</id>
            <version>2.3</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-logging</id>
            <version>1.0.3</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>commons-pool</id>
            <version>1.3</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>ecs</id>
            <version>1.4.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>fulcrum</id>
            <version>3.0-b2-dev</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>oro</id>
            <version>2.0.8</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>regexp</id>
            <version>1.5</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>javamail</id>
            <version>1.4</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>jaxp</id>
            <version>1.2</version>
        </dependency>
        <dependency>
            <id>jcs</id>
            <version>1.3</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>jdbc</id>
            <version>2.0</version>
        </dependency>
        <dependency>
            <id>jndi</id>
            <version>1.2.1</version>
        </dependency>
        <dependency>
            <id>log4j</id>
            <version>1.2.9</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>lucene</id>
            <version>1.3-rc1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>ojb</id>
            <version>0.7.343</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>servletapi</id>
            <version>2.2</version>
        </dependency>
        <dependency>
            <id>soap</id>
            <version>2.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>stratum</id>
            <version>1.0-b4-dev</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>torque</id>
            <version>3.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>turbine</id>
            <version>2.2-al1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>uddi4j</id>
            <version>1.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>velocity</id>
            <version>1.5</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>village</id>
            <version>2.0-dev-20030625</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>xalan</id>
            <version>2.3.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>xerces</id>
            <version>2.0.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
            <jar>xercesImpl-2.0.2.jar</jar>
        </dependency>
        <dependency>
            <id>xml-apis</id>
            <version>2.0.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <groupId>maven-plugins</groupId>
            <artifactId>maven-torque-plugin</artifactId>
            <version>3.2</version>
            <type>plugin</type>
        </dependency>
		<dependency>
            <id>skmail</id>
            <version>0.5</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
		<dependency>
            <id>skutility</id>
            <version>0.5</version>
            <properties>
                <war.bundle>true</war.bundle>
        		</properties>
        </dependency>
        <dependency>
            <id>json-lib</id>
            <version>2.2</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
            <jar>json-lib-2.2-jdk15.jar</jar>
        </dependency>
       <dependency>
            <groupId>net.sf.ezmorph</groupId>
            <artifactId>ezmorph</artifactId>
            <version>1.0.4</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>cayenne</id>
            <version>2.0.4</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>poi</id>
            <version>2.5.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>qrcode</id>
            <version>1.0.1</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <!-- ********************************** -->
        <!-- AIMLUCK EIP                        -->
        <!-- ********************************** -->
        <dependency>
            <id>aipo-commons-validate</id>
            <version>4.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <dependency>
            <id>aipo-oms</id>
            <version>4.0</version>
            <properties>
                <war.bundle>true</war.bundle>
            </properties>
        </dependency>
        <!-- ********************************** -->
        <!-- THESE DEPENDENCIES ARE FOR TESTING -->
        <!-- ********************************** -->
        <dependency>
            <id>commons-httpclient</id>
            <version>1.0</version>
        </dependency>
        <dependency>
            <id>cactus</id>
            <version>13-1.4.1</version>
        </dependency>
        <dependency>
            <groupId>cactus</groupId>
            <artifactId>cactus-ant</artifactId>
            <version>1.4.1</version>
        </dependency>
        <dependency>
            <id>junit</id>
            <version>3.8.1</version>
        </dependency>
    </dependencies>
    <build>
        <sourceDirectory>src/java</sourceDirectory>
        <unitTestSourceDirectory>${basedir}/src/test</unitTestSourceDirectory>
        <unitTest>
            <excludes>
                <exclude>
                    org/apache/jetspeed/services/registry/TestRegistryCategories.java</exclude>
                <exclude>
                    org/apache/jetspeed/modules/actions/TestJLoginUser.java</exclude>
                <exclude>
                    org/apache/jetspeed/services/security/turbine/TestAccessController.java</exclude>
                <exclude>org/apache/jetspeed/test/TestBasicSanity.java</exclude>
                <exclude>org/apache/jetspeed/test/TestBasicSanity.java</exclude>
                <exclude>
                    org/apache/jetspeed/test/TestBasicSecurity.java</exclude>
                <exclude>
                    org/apache/jetspeed/util/rewriter/TestRewriter.java</exclude>
                <exclude>
                    org/apache/jetspeed/util/template/TestJetspeedLink.java</exclude>
                <exclude>org/apache/jetspeed/util/TestMimeType.java</exclude>
            </excludes>
            <includes>
                <include>**/Test*.java</include>
            </includes>
            <resources>
                <resource>
                    <directory>${basedir}/src/java</directory>
                    <excludes>
                        <exclude>**/*.java</exclude>
                    </excludes>
                    <includes>
                        <include>
                            org/apache/jetspeed/modules/localization/JetspeedLocalization_*.properties</include>
                    </includes>
                </resource>
                <resource>
                    <directory>${basedir}/src/test</directory>
                    <excludes>
                        <exclude>**/*.java</exclude>
                    </excludes>
                </resource>
            </resources>
        </unitTest>
        <resources>
            <resource>
                <directory>${basedir}/src/java</directory>
                <excludes>
                    <exclude>**/*.java</exclude>
                </excludes>
                <includes>
                    <include>
                        org/apache/jetspeed/modules/localization/JetspeedLocalization_*.properties</include>
                </includes>
            </resource>
        </resources>
        <jars/>
        <reports>
            <report>maven-tasklist-plugin</report>
            <report>maven-changelog-plugin</report>
            <report>maven-javadoc-plugin</report>
        </reports>
    </build>
</project>
